# Generated by Django 3.1.4 on 2020-12-13 07:03

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='User',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=30, verbose_name='Имя пользователя')),
                ('lastname', models.CharField(max_length=30, verbose_name='Фамилия пользователя')),
                ('email', models.CharField(max_length=50, verbose_name='Email пользователя')),
                ('birth_date', models.DateField(verbose_name='Дата рождения')),
                ('dept', models.CharField(max_length=30, verbose_name='Отдел')),
                ('position', models.CharField(max_length=30, verbose_name='Должность')),
            ],
        ),
        migrations.CreateModel(
            name='Task',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=30, verbose_name='Название задачи')),
                ('desc', models.TextField(max_length=200, verbose_name='Описание задачи')),
                ('status', models.BooleanField(verbose_name='Готовность задачи')),
                ('deadline', models.DateField(verbose_name='Дедлайн')),
                ('completed', models.DateField(null=True, verbose_name='Дата выполнения')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='tlist.user')),
            ],
        ),
    ]
